User Tag List

Results 1 to 2 of 2

Thread: Build Error ./flex-config.xml

  1. #1
    Clicker Multimedia Fusion 2Android Export ModuleSWF Export Module
    Teknikal's Avatar
    Join Date
    Oct 2011
    Posts
    23
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Build Error ./flex-config.xml

    Quote Originally Posted by Jeff View Post
    Build Failed ---- Things to check

    Inside Fusion on the preferences screen:

    Path to your Java JDK
    For example mine is -- C:\Program Files (x86)\Java\jdk1.6.0_43

    Path to your Android SDK
    For example mine is -- C:\Program Files (x86)\Android\android-sdk

    Now the next area to look at is in your actual application properties/Android tab.
    what build SDK are you trying to use?

    Attachment 12222

    Above it says build API 14

    You will need to open the Android SDK manager and make sure you have that API installed.

    On my computer that is here:
    C:\Program Files (x86)\Android\android-sdk\SDK Manager.exe
    You might also find a link to it in your Start Menu Programs Folder -- Inside the Android SDK Tools Group

    My advice is to change this to the newest API and download that in the Android SDK manager.

    Then also change it here in Fusion to the same API number. I can't think of a reason why you need to use an older API but maybe there is, but you have to install an API to build anything. Newer APIs would support more features and perhaps have some performance gains.

    ** Don't forget to change the Android Package name inside your application properties under the Android tab to something unique. (Change from com.mycompany.myapplication) to (com.mycompany.gamenamehere) (GameNameHere=The name of your game). Do not include any spaces and no special characters. Just plain letters and numbers.
    Thank you. I get this error (defaults: Error: unable to open './flex-config.xml') when trying to compile SWF. Do you know what the problem is on this?

  2. #2
    Clickteam Clickteam
    Fernando's Avatar
    Join Date
    Dec 2006
    Posts
    6,412
    Mentioned
    225 Post(s)
    Tagged
    4 Thread(s)
    DO you have java 32 bits sdk installed?

    can you show us the configuration in preferences?
    Regards,


    Fernando Vivolo

    ... new things are coming ...

Similar Threads

  1. Users that cannot build with Android Studio (ant\build.xml error)
    By Perry in forum Android Export Module 2.5
    Replies: 102
    Last Post: 28th November 2019, 07:02 PM
  2. Cannot build my Android app (ant/build.xml error)
    By oaklan5 in forum Fusion 2.5
    Replies: 1
    Last Post: 27th July 2017, 06:59 PM
  3. Build process fails with error message 'cannot build blah.mfa
    By Jusfury in forum Android Export Module 2.5
    Replies: 7
    Last Post: 22nd May 2015, 08:16 PM
  4. Need Help for Flex.swc
    By Fernando in forum SWF/Flash Export Module Version 2.0
    Replies: 2
    Last Post: 17th December 2012, 02:08 PM
  5. is a uniform flex-config.xml possible?
    By mickarrow in forum SWF/Flash Export Module Version 2.0
    Replies: 4
    Last Post: 14th February 2011, 04:54 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •